Subject: Re: linux-next: Tree for June 11

From: Kevin Winchester <[email-masked]>
Date: Wed, 11 Jun 2008 21:17:09 -0300

Stephen Rothwell wrote:
> Hi all,
> 
> Changes since next-20080610:
> 
> Dropped trees (temporary): ldp (it is unfetchable - probably something to
> do with the new Staging tree), block (it just has too many conflicts and
> breaks the powerpc build).
> 
> The kbuild-current tree is now itself again.
> 
> The kbuild tree fixed it build problem.
> 
> The usb tree lost its hid build problem.
> 
> The tip-core tree lost its conflict (since the kbuild tree effectively
> moved).
> 
> The x86 tree gained two conflicts with the ftrace tree.
> 
> The pci tree lost its conflict with the kbuild-current tree but gained
> one with the x86 tree and one with the driver-core tree.
> 
> The hid tree lost its conflict with the driver-core tree.
> 
> The nsfd tree gained a conflict with the cpus4096 tree.
> 
> The powerpc tree was fixed up so that it no longer needed a commit
> reverted.
> 
> The net tree lost its conflict with the net-current tree.
> 
> The galak tree gained a conflict with the net tree.
> 
> The wireless tree lost all its conflicts.
> 
> The rr tree gained a conflict with the net-current tree.
> 
> I have applied the following temporary patch for known build problems:
> 
> 	"Fix various 8390 builds" - the net tree broke builds on various
> architectures - hopefully this patch will go into the net tree shortly.
> 
> The powerpc64 allyesconfig build is broken, probably by ftrace.
> The sparc32 defconfig build is broken, probably by the kbuild tree.
> 

I see a problem with this tree (and possibly with ones from previous 
days - I haven't tested next in 2-3 days or so).  I have no direct 
rendering as reported by glxinfo, whereas with Linus' latest tree I do.

I checked my logs and I see:

PCI: Using ACPI for IRQ routing
PCI: Cannot allocate resource region 0 of device 0000:00:00.0
agpgart: Detected AGP bridge 0
agpgart: Aperture conflicts with PCI mapping.
agpgart: Aperture from AGP @ e0000000 size 128 MB
agpgart: Aperture conflicts with PCI mapping.
agpgart: No usable aperture found.
agpgart: Consider rebooting with iommu=memaper=2 to get a good aperture.

In a working kernel, all I see is:

PCI: Using ACPI for IRQ routing
agpgart: Detected AGP bridge 0
agpgart: Aperture from AGP @ e0000000 size 128 MB

Does anyone have any idea where I would start to look for the cause? 
Would it be a PCI problem?  An AGP problem?  An x86 problem?

If necessary I can bisect, but 12-13 compile-boot cycles will take me a 
few evenings worth of computer time.  A targeted revert or two to try 
would help.

Thanks,

-- 
Kevin Winchester